2018-10-16 16:44 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000326mercuryFeature Requestpublic2016-04-04 12:07
Reporterwangp 
Assigned Towangp 
PrioritylowSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000326: disable rpath
DescriptionIt should be possible to disable setting the rpath. Perhaps it should be off by default when statically linking the Mercury standard library and runtime.

--no-runtime-library-directory does not work.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000672

juliensf (administrator)

I have no objections to adding an option --no-use-rpath to the compiler to achieve this.
(Additionally, if it's possible to switch it off completely on Mac OS X, then that would be useful too.)

~0000698

juliensf (administrator)

Sorry, I accidently closed this one.

~0000884

wangp (developer)

Fixed with --no-default-runtime-library-directory.
+Notes

-Issue History
Date Modified Username Field Change
2014-04-23 11:45 wangp New Issue
2014-05-01 10:31 juliensf Note Added: 0000672
2014-05-29 13:54 juliensf Status new => closed
2014-05-29 13:54 juliensf Assigned To => juliensf
2014-05-29 13:54 juliensf Resolution open => no change required
2014-05-29 13:55 juliensf Note Added: 0000698
2014-05-29 13:55 juliensf Status closed => new
2016-04-04 12:07 wangp Note Added: 0000884
2016-04-04 12:07 wangp Status new => resolved
2016-04-04 12:07 wangp Resolution no change required => fixed
2016-04-04 12:07 wangp Assigned To juliensf => wangp
+Issue History